<!DOCTYPE html>
<html>
<head>
  <title>Artillery report</title>
  <script src='https://ajax.googleapis.com/ajax/libs/jquery/2.1.3/jquery.min.js'></script>
  <script src='https://cdnjs.cloudflare.com/ajax/libs/d3/3.5.0/d3.min.js' charset='utf-8'></script>
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.css" />
  <script src="https://cdnjs.cloudflare.com/ajax/libs/metrics-graphics/2.6.0/metricsgraphics.min.js"></script>

  <link href='https://fonts.googleapis.com/css?family=Open+Sans:400,300,700' rel='stylesheet' type='text/css'>
  <link href='https://fonts.googleapis.com/css?family=PT+Serif:400,700,400italic' rel='stylesheet' type='text/css'>
  <link href='https://netdna.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.css' rel='stylesheet' type='text/css'>
  <link href='https://maxcdn.bootstrapcdn.com/bootstrap/3.2.0/css/bootstrap.min.css' rel='stylesheet' type='text/css'>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/moment.js/2.10.6/moment.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/lodash.js/3.10.1/lodash.min.js"></script>

  <script src="https://cdnjs.cloudflare.com/ajax/libs/ace/1.2.0/ace.js" charset="utf-8"></script>

  <style>
  body, p, li {
    font-family: sans-serif;
    font-size: 10pt;
  }

  h1 {
    font-size: 18pt;
    font-weight: bold;
  }

  #errorsContainer > p {
    color: #009900;
  }

  #footer {
    padding: 1em;
    font-size: 0.8em;
    color: #999;
    text-align: center;
    margin-top: 1em;
    background-color: #eee;
  }
  #editor {
    font-size: 8pt;
    height: 20em;
  }
  </style>

  <script>
  window.Report = {
  "aggregate": {
    "timestamp": "2021-02-21T11:51:23.664Z",
    "scenariosCreated": 18608,
    "scenariosCompleted": 1799,
    "requestsCompleted": 2967,
    "latency": {
      "min": 188.3,
      "max": 141914.1,
      "median": 13936.8,
      "p95": 118360.9,
      "p99": 120953.5
    },
    "rps": {
      "count": 19776,
      "mean": 28.51
    },
    "scenarioDuration": {
      "min": 2477.7,
      "max": 238614.6,
      "median": 104115.8,
      "p95": 121539.3,
      "p99": 132133.1
    },
    "scenarioCounts": {
      "CalculatePrice fixed": 6179,
      "CalculatePrice minute": 6277,
      "GetSpec": 6152
    },
    "errors": {
      "ETIMEDOUT": 16801,
      "ENOTFOUND": 8
    },
    "codes": {
      "200": 1799,
      "302": 1168
    },
    "matches": 0,
    "customStats": {},
    "counters": {},
    "scenariosAvoided": 0,
    "phases": [
      {
        "duration": 60,
        "name": "Warm up",
        "arrivalRate": 5
      },
      {
        "duration": 120,
        "name": "Ramp up load",
        "arrivalRate": 5,
        "rampTo": 50
      },
      {
        "duration": 300,
        "name": "Sustained load",
        "arrivalRate": 50
      }
    ]
  },
  "intermediate": [
    {
      "timestamp": "2021-02-21T11:39:59.709Z",
      "scenariosCreated": 49,
      "scenariosCompleted": 30,
      "requestsCompleted": 83,
      "latency": {
        "min": 260,
        "max": 3043.6,
        "median": 995.8,
        "p95": 1297.1,
        "p99": 3030.1
      },
      "rps": {
        "count": 91,
        "mean": 9.33
      },
      "scenarioDuration": {
        "min": 3394.2,
        "max": 5577.9,
        "median": 3512.5,
        "p95": 3943.4,
        "p99": 5577.9
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 17,
        "CalculatePrice minute": 16,
        "GetSpec": 16
      },
      "errors": {},
      "codes": {
        "200": 41,
        "302": 42
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 19,
      "pendingRequests": 8,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:40:09.708Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 47,
      "requestsCompleted": 97,
      "latency": {
        "min": 272.4,
        "max": 2007.2,
        "median": 1018.6,
        "p95": 1241.9,
        "p99": 1699.8
      },
      "rps": {
        "count": 99,
        "mean": 9.91
      },
      "scenarioDuration": {
        "min": 3371.8,
        "max": 5374.8,
        "median": 3490.9,
        "p95": 3696.1,
        "p99": 5374.8
      },
      "scenarioCounts": {
        "GetSpec": 20,
        "CalculatePrice minute": 14,
        "CalculatePrice fixed": 16
      },
      "errors": {},
      "codes": {
        "200": 48,
        "302": 49
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 22,
      "pendingRequests": 10,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:40:19.705Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 51,
      "requestsCompleted": 98,
      "latency": {
        "min": 252.9,
        "max": 17380.5,
        "median": 1013.7,
        "p95": 1431.1,
        "p99": 9787
      },
      "rps": {
        "count": 101,
        "mean": 10.1
      },
      "scenarioDuration": {
        "min": 3335,
        "max": 19727.6,
        "median": 3473,
        "p95": 4084.6,
        "p99": 19574.3
      },
      "scenarioCounts": {
        "CalculatePrice minute": 22,
        "CalculatePrice fixed": 17,
        "GetSpec": 11
      },
      "errors": {},
      "codes": {
        "200": 47,
        "302": 51
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 21,
      "pendingRequests": 13,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:40:29.705Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 50,
      "requestsCompleted": 104,
      "latency": {
        "min": 268,
        "max": 30131.1,
        "median": 337.4,
        "p95": 1392,
        "p99": 24718.8
      },
      "rps": {
        "count": 99,
        "mean": 9.91
      },
      "scenarioDuration": {
        "min": 3381.1,
        "max": 4105.8,
        "median": 3489.6,
        "p95": 3901,
        "p99": 4105.8
      },
      "scenarioCounts": {
        "CalculatePrice minute": 21,
        "GetSpec": 10,
        "CalculatePrice fixed": 19
      },
      "errors": {},
      "codes": {
        "200": 55,
        "302": 49
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 21,
      "pendingRequests": 8,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:40:39.705Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 48,
      "requestsCompleted": 100,
      "latency": {
        "min": 265.1,
        "max": 28490.5,
        "median": 1021.1,
        "p95": 1427,
        "p99": 15042
      },
      "rps": {
        "count": 100,
        "mean": 10.01
      },
      "scenarioDuration": {
        "min": 3361.1,
        "max": 32518.7,
        "median": 3509.5,
        "p95": 19146.5,
        "p99": 32518.7
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 16,
        "CalculatePrice minute": 18,
        "GetSpec": 16
      },
      "errors": {},
      "codes": {
        "200": 50,
        "302": 50
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 23,
      "pendingRequests": 8,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:40:49.704Z",
      "scenariosCreated": 50,
      "scenariosCompleted": 56,
      "requestsCompleted": 105,
      "latency": {
        "min": 274.5,
        "max": 16190.8,
        "median": 1023.1,
        "p95": 1410,
        "p99": 13452.3
      },
      "rps": {
        "count": 103,
        "mean": 10.31
      },
      "scenarioDuration": {
        "min": 3399.2,
        "max": 39548.7,
        "median": 3539.1,
        "p95": 10964.5,
        "p99": 38289.6
      },
      "scenarioCounts": {
        "GetSpec": 14,
        "CalculatePrice minute": 24,
        "CalculatePrice fixed": 12
      },
      "errors": {},
      "codes": {
        "200": 52,
        "302": 53
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 17,
      "pendingRequests": 6,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:40:59.707Z",
      "scenariosCreated": 73,
      "scenariosCompleted": 57,
      "requestsCompleted": 132,
      "latency": {
        "min": 265.9,
        "max": 1641.5,
        "median": 1015.2,
        "p95": 1174.7,
        "p99": 1522.4
      },
      "rps": {
        "count": 141,
        "mean": 14.1
      },
      "scenarioDuration": {
        "min": 3359.2,
        "max": 4257.8,
        "median": 3478.4,
        "p95": 3824.3,
        "p99": 4239.4
      },
      "scenarioCounts": {
        "GetSpec": 29,
        "CalculatePrice fixed": 26,
        "CalculatePrice minute": 18
      },
      "errors": {},
      "codes": {
        "200": 64,
        "302": 68
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 33,
      "pendingRequests": 15,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:41:09.716Z",
      "scenariosCreated": 122,
      "scenariosCompleted": 104,
      "requestsCompleted": 230,
      "latency": {
        "min": 262.6,
        "max": 1592.9,
        "median": 809.8,
        "p95": 1187.1,
        "p99": 1390.9
      },
      "rps": {
        "count": 237,
        "mean": 23.75
      },
      "scenarioDuration": {
        "min": 3355.8,
        "max": 3988.9,
        "median": 3497,
        "p95": 3771.4,
        "p99": 3976.2
      },
      "scenarioCounts": {
        "GetSpec": 43,
        "CalculatePrice fixed": 43,
        "CalculatePrice minute": 36
      },
      "errors": {},
      "codes": {
        "200": 115,
        "302": 115
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 51,
      "pendingRequests": 22,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:41:19.709Z",
      "scenariosCreated": 148,
      "scenariosCompleted": 34,
      "requestsCompleted": 21,
      "latency": {
        "min": 269.4,
        "max": 1411.3,
        "median": 1049.4,
        "p95": 1396.2,
        "p99": 1411.3
      },
      "rps": {
        "count": 164,
        "mean": 16.47
      },
      "scenarioDuration": {
        "min": 3329.1,
        "max": 3732.9,
        "median": 3425.9,
        "p95": 3676.8,
        "p99": 3732.9
      },
      "scenarioCounts": {
        "CalculatePrice minute": 62,
        "GetSpec": 43,
        "CalculatePrice fixed": 43
      },
      "errors": {},
      "codes": {
        "200": 5,
        "302": 16
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 165,
      "pendingRequests": 165,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:41:29.709Z",
      "scenariosCreated": 177,
      "scenariosCompleted": 0,
      "requestsCompleted": 5,
      "latency": {
        "min": 1312.7,
        "max": 15208.1,
        "median": 5937.8,
        "p95": 15208.1,
        "p99": 15208.1
      },
      "rps": {
        "count": 182,
        "mean": 18.2
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 63,
        "CalculatePrice minute": 58,
        "GetSpec": 56
      },
      "errors": {},
      "codes": {
        "302": 5
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 342,
      "pendingRequests": 342,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:41:39.710Z",
      "scenariosCreated": 226,
      "scenariosCompleted": 0,
      "requestsCompleted": 3,
      "latency": {
        "min": 5936,
        "max": 14330.4,
        "median": 5969.6,
        "p95": 14330.4,
        "p99": 14330.4
      },
      "rps": {
        "count": 229,
        "mean": 22.9
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute": 70,
        "GetSpec": 62,
        "CalculatePrice fixed": 94
      },
      "errors": {},
      "codes": {
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 568,
      "pendingRequests": 568,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:41:49.711Z",
      "scenariosCreated": 236,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 24132,
        "max": 24132,
        "median": 24132,
        "p95": 24132,
        "p99": 24132
      },
      "rps": {
        "count": 237,
        "mean": 23.84
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute": 76,
        "GetSpec": 82,
        "CalculatePrice fixed": 78
      },
      "errors": {},
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 804,
      "pendingRequests": 804,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:41:59.714Z",
      "scenariosCreated": 299,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 299,
        "mean": 30.05
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 110,
        "CalculatePrice minute": 88,
        "GetSpec": 101
      },
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1103,
      "pendingRequests": 1103,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:42:09.714Z",
      "scenariosCreated": 329,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 1111.9,
        "max": 1111.9,
        "median": 1111.9,
        "p95": 1111.9,
        "p99": 1111.9
      },
      "rps": {
        "count": 329,
        "mean": 33.03
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 108,
        "GetSpec": 107,
        "CalculatePrice minute": 114
      },
      "errors": {},
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1432,
      "pendingRequests": 1431,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:42:19.714Z",
      "scenariosCreated": 363,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 363,
        "mean": 36.3
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 117,
        "CalculatePrice minute": 121,
        "GetSpec": 125
      },
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1795,
      "pendingRequests": 1794,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:42:29.715Z",
      "scenariosCreated": 387,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 388,
        "mean": 38.8
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 126,
        "CalculatePrice minute": 134,
        "GetSpec": 127
      },
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2182,
      "pendingRequests": 2182,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:42:39.716Z",
      "scenariosCreated": 437,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 437,
        "mean": 43.79
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "GetSpec": 146,
        "CalculatePrice fixed": 153,
        "CalculatePrice minute": 138
      },
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2619,
      "pendingRequests": 2619,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:42:49.717Z",
      "scenariosCreated": 487,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 487,
        "mean": 48.9
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute": 195,
        "GetSpec": 138,
        "CalculatePrice fixed": 154
      },
      "errors": {
        "ETIMEDOUT": 136
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2970,
      "pendingRequests": 3106,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:42:59.717Z",
      "scenariosCreated": 499,
      "scenariosCompleted": 0,
      "requestsCompleted": 3,
      "latency": {
        "min": 9638.1,
        "max": 44080.6,
        "median": 44053.4,
        "p95": 44080.6,
        "p99": 44080.6
      },
      "rps": {
        "count": 502,
        "mean": 50.3
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute": 172,
        "CalculatePrice fixed": 163,
        "GetSpec": 164
      },
      "errors": {
        "ETIMEDOUT": 173
      },
      "codes": {
        "302": 3
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3296,
      "pendingRequests": 3605,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:43:09.717Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "GetSpec": 178,
        "CalculatePrice fixed": 169,
        "CalculatePrice minute": 153
      },
      "errors": {
        "ETIMEDOUT": 224
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3572,
      "pendingRequests": 4105,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:43:19.717Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 169,
        "GetSpec": 176,
        "CalculatePrice minute": 155
      },
      "errors": {
        "ETIMEDOUT": 238
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3834,
      "pendingRequests": 4605,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:43:29.717Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 5900.9,
        "max": 5900.9,
        "median": 5900.9,
        "p95": 5900.9,
        "p99": 5900.9
      },
      "rps": {
        "count": 501,
        "mean": 50.2
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute": 174,
        "GetSpec": 152,
        "CalculatePrice fixed": 174
      },
      "errors": {
        "ETIMEDOUT": 300
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4034,
      "pendingRequests": 5105,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:43:39.717Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 1,
      "latency": {
        "min": 5939.2,
        "max": 5939.2,
        "median": 5939.2,
        "p95": 5939.2,
        "p99": 5939.2
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "GetSpec": 168,
        "CalculatePrice minute": 169,
        "CalculatePrice fixed": 163
      },
      "errors": {
        "ETIMEDOUT": 318
      },
      "codes": {
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4216,
      "pendingRequests": 5604,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:43:49.717Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 501,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute": 170,
        "CalculatePrice fixed": 160,
        "GetSpec": 170
      },
      "errors": {
        "ETIMEDOUT": 353
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4363,
      "pendingRequests": 6105,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:43:59.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 49,
      "latency": {
        "min": 272.5,
        "max": 82773.5,
        "median": 14368.5,
        "p95": 82563.5,
        "p99": 82773.5
      },
      "rps": {
        "count": 547,
        "mean": 54.81
      },
      "scenarioDuration": {
        "min": 16902.7,
        "max": 16902.7,
        "median": 16902.7,
        "p95": 16902.7,
        "p99": 16902.7
      },
      "scenarioCounts": {
        "CalculatePrice minute": 156,
        "CalculatePrice fixed": 175,
        "GetSpec": 169
      },
      "errors": {
        "ETIMEDOUT": 384
      },
      "codes": {
        "200": 2,
        "302": 47
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4478,
      "pendingRequests": 6603,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:44:09.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 7,
      "requestsCompleted": 98,
      "latency": {
        "min": 277.7,
        "max": 82830.7,
        "median": 14490.9,
        "p95": 82593.8,
        "p99": 82811.5
      },
      "rps": {
        "count": 591,
        "mean": 59.22
      },
      "scenarioDuration": {
        "min": 4581.1,
        "max": 84833.7,
        "median": 14692.7,
        "p95": 84833.7,
        "p99": 84833.7
      },
      "scenarioCounts": {
        "CalculatePrice minute": 161,
        "GetSpec": 181,
        "CalculatePrice fixed": 158
      },
      "errors": {
        "ETIMEDOUT": 421
      },
      "codes": {
        "200": 6,
        "302": 92
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4550,
      "pendingRequests": 7096,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:44:19.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 4,
      "requestsCompleted": 93,
      "latency": {
        "min": 272.3,
        "max": 82695.8,
        "median": 14604.9,
        "p95": 82250.4,
        "p99": 82591.3
      },
      "rps": {
        "count": 588,
        "mean": 58.8
      },
      "scenarioDuration": {
        "min": 4671.7,
        "max": 26724.7,
        "median": 16997.7,
        "p95": 26724.7,
        "p99": 26724.7
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 161,
        "CalculatePrice minute": 163,
        "GetSpec": 176
      },
      "errors": {
        "ETIMEDOUT": 478
      },
      "codes": {
        "200": 6,
        "302": 87
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4568,
      "pendingRequests": 7591,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:44:29.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 8,
      "requestsCompleted": 101,
      "latency": {
        "min": 282.4,
        "max": 82890.1,
        "median": 13847.2,
        "p95": 82708,
        "p99": 82833.2
      },
      "rps": {
        "count": 590,
        "mean": 59.12
      },
      "scenarioDuration": {
        "min": 3369.7,
        "max": 86381.7,
        "median": 26212.8,
        "p95": 86381.7,
        "p99": 86381.7
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 167,
        "CalculatePrice minute": 168,
        "GetSpec": 165
      },
      "errors": {
        "ETIMEDOUT": 477
      },
      "codes": {
        "200": 11,
        "302": 90
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4583,
      "pendingRequests": 8080,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:44:39.718Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 12,
      "requestsCompleted": 100,
      "latency": {
        "min": 276.2,
        "max": 83171.3,
        "median": 9803.5,
        "p95": 82953,
        "p99": 83153
      },
      "rps": {
        "count": 592,
        "mean": 59.32
      },
      "scenarioDuration": {
        "min": 3475.7,
        "max": 87576.7,
        "median": 29452.2,
        "p95": 87339,
        "p99": 87576.7
      },
      "scenarioCounts": {
        "CalculatePrice minute": 170,
        "CalculatePrice fixed": 160,
        "GetSpec": 170
      },
      "errors": {
        "ETIMEDOUT": 472
      },
      "codes": {
        "200": 8,
        "302": 92
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4599,
      "pendingRequests": 8572,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:44:49.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 11,
      "requestsCompleted": 106,
      "latency": {
        "min": 308.7,
        "max": 106203.7,
        "median": 9318,
        "p95": 83381.9,
        "p99": 94754.8
      },
      "rps": {
        "count": 596,
        "mean": 59.72
      },
      "scenarioDuration": {
        "min": 8312.7,
        "max": 94184.7,
        "median": 22056.7,
        "p95": 93870.8,
        "p99": 94184.7
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 157,
        "GetSpec": 176,
        "CalculatePrice minute": 167
      },
      "errors": {
        "ETIMEDOUT": 464
      },
      "codes": {
        "200": 10,
        "302": 96
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4624,
      "pendingRequests": 9062,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:44:59.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 25,
      "requestsCompleted": 118,
      "latency": {
        "min": 188.3,
        "max": 84080.9,
        "median": 9839.9,
        "p95": 83517.7,
        "p99": 83970.3
      },
      "rps": {
        "count": 584,
        "mean": 58.52
      },
      "scenarioDuration": {
        "min": 2497.7,
        "max": 85541.8,
        "median": 16214.7,
        "p95": 85193,
        "p99": 85541.8
      },
      "scenarioCounts": {
        "CalculatePrice minute": 163,
        "GetSpec": 160,
        "CalculatePrice fixed": 177
      },
      "errors": {
        "ETIMEDOUT": 451
      },
      "codes": {
        "200": 34,
        "302": 84
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4648,
      "pendingRequests": 9528,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:45:09.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 144,
      "requestsCompleted": 201,
      "latency": {
        "min": 425.5,
        "max": 114703.9,
        "median": 13979.6,
        "p95": 83591.9,
        "p99": 84176
      },
      "rps": {
        "count": 514,
        "mean": 51.5
      },
      "scenarioDuration": {
        "min": 2477.7,
        "max": 118237.7,
        "median": 16034.5,
        "p95": 85652.7,
        "p99": 100512.4
      },
      "scenarioCounts": {
        "CalculatePrice minute": 179,
        "CalculatePrice fixed": 163,
        "GetSpec": 158
      },
      "errors": {
        "ETIMEDOUT": 451
      },
      "codes": {
        "200": 187,
        "302": 14
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4553,
      "pendingRequests": 9841,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:45:19.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 144,
      "requestsCompleted": 105,
      "latency": {
        "min": 630.8,
        "max": 85038.6,
        "median": 14760.6,
        "p95": 83929.4,
        "p99": 84761.3
      },
      "rps": {
        "count": 512,
        "mean": 51.3
      },
      "scenarioDuration": {
        "min": 3306.7,
        "max": 129274.7,
        "median": 17119.1,
        "p95": 85954.8,
        "p99": 101633
      },
      "scenarioCounts": {
        "CalculatePrice minute": 189,
        "CalculatePrice fixed": 160,
        "GetSpec": 151
      },
      "errors": {
        "ETIMEDOUT": 433
      },
      "codes": {
        "200": 93,
        "302": 12
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4476,
      "pendingRequests": 10248,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:45:29.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 8,
      "requestsCompleted": 10,
      "latency": {
        "min": 23967.8,
        "max": 83706.5,
        "median": 25346.4,
        "p95": 83706.5,
        "p99": 83706.5
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": 21285.7,
        "max": 85719.8,
        "median": 26175.7,
        "p95": 85719.8,
        "p99": 85719.8
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 176,
        "GetSpec": 172,
        "CalculatePrice minute": 152
      },
      "errors": {
        "ETIMEDOUT": 446
      },
      "codes": {
        "200": 10
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4522,
      "pendingRequests": 10738,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:45:39.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 4,
      "requestsCompleted": 2,
      "latency": {
        "min": 44086.5,
        "max": 114557.3,
        "median": 79321.9,
        "p95": 114557.3,
        "p99": 114557.3
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": 26250.7,
        "max": 116959.7,
        "median": 48266.2,
        "p95": 116959.7,
        "p99": 116959.7
      },
      "scenarioCounts": {
        "CalculatePrice minute": 157,
        "CalculatePrice fixed": 168,
        "GetSpec": 175
      },
      "errors": {
        "ETIMEDOUT": 529,
        "ENOTFOUND": 2
      },
      "codes": {
        "200": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4487,
      "pendingRequests": 11236,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:45:49.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 4,
      "requestsCompleted": 5,
      "latency": {
        "min": 537.3,
        "max": 83240.7,
        "median": 82570.6,
        "p95": 83240.7,
        "p99": 83240.7
      },
      "rps": {
        "count": 502,
        "mean": 50.3
      },
      "scenarioDuration": {
        "min": 46087.7,
        "max": 109732.7,
        "median": 88452,
        "p95": 109732.7,
        "p99": 109732.7
      },
      "scenarioCounts": {
        "GetSpec": 175,
        "CalculatePrice fixed": 161,
        "CalculatePrice minute": 164
      },
      "errors": {
        "ETIMEDOUT": 569
      },
      "codes": {
        "200": 3,
        "302": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4414,
      "pendingRequests": 11733,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:45:59.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 1,
      "latency": {
        "min": 81893.9,
        "max": 81893.9,
        "median": 81893.9,
        "p95": 81893.9,
        "p99": 81893.9
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": 83907.7,
        "max": 83907.7,
        "median": 83907.7,
        "p95": 83907.7,
        "p99": 83907.7
      },
      "scenarioCounts": {
        "GetSpec": 142,
        "CalculatePrice minute": 182,
        "CalculatePrice fixed": 176
      },
      "errors": {
        "ETIMEDOUT": 549
      },
      "codes": {
        "200": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4364,
      "pendingRequests": 12232,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:46:09.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 1,
      "latency": {
        "min": 79497.6,
        "max": 79497.6,
        "median": 79497.6,
        "p95": 79497.6,
        "p99": 79497.6
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": 81515.7,
        "max": 81515.7,
        "median": 81515.7,
        "p95": 81515.7,
        "p99": 81515.7
      },
      "scenarioCounts": {
        "CalculatePrice minute": 154,
        "GetSpec": 179,
        "CalculatePrice fixed": 167
      },
      "errors": {
        "ETIMEDOUT": 560,
        "ENOTFOUND": 2
      },
      "codes": {
        "200": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4301,
      "pendingRequests": 12731,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:46:19.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 1,
      "requestsCompleted": 2,
      "latency": {
        "min": 413.9,
        "max": 79041.7,
        "median": 39727.8,
        "p95": 79041.7,
        "p99": 79041.7
      },
      "rps": {
        "count": 501,
        "mean": 50.2
      },
      "scenarioDuration": {
        "min": 106050.7,
        "max": 106050.7,
        "median": 106050.7,
        "p95": 106050.7,
        "p99": 106050.7
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 173,
        "GetSpec": 168,
        "CalculatePrice minute": 159
      },
      "errors": {
        "ETIMEDOUT": 515
      },
      "codes": {
        "200": 1,
        "302": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4285,
      "pendingRequests": 13230,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:46:29.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 152,
        "CalculatePrice minute": 177,
        "GetSpec": 171
      },
      "errors": {
        "ETIMEDOUT": 489
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4296,
      "pendingRequests": 13730,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:46:39.720Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 156,
        "GetSpec": 169,
        "CalculatePrice minute": 175
      },
      "errors": {
        "ETIMEDOUT": 180,
        "ENOTFOUND": 2
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4614,
      "pendingRequests": 14230,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:46:49.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "GetSpec": 170,
        "CalculatePrice minute": 173,
        "CalculatePrice fixed": 157
      },
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5114,
      "pendingRequests": 14730,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:46:59.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "GetSpec": 148,
        "CalculatePrice fixed": 178,
        "CalculatePrice minute": 174
      },
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5614,
      "pendingRequests": 15230,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:47:09.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute": 172,
        "GetSpec": 162,
        "CalculatePrice fixed": 166
      },
      "errors": {
        "ENOTFOUND": 2,
        "ETIMEDOUT": 103
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6009,
      "pendingRequests": 15730,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:47:19.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 162,
        "GetSpec": 181,
        "CalculatePrice minute": 157
      },
      "errors": {
        "ETIMEDOUT": 509
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6000,
      "pendingRequests": 16230,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:47:29.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 175,
        "CalculatePrice minute": 169,
        "GetSpec": 156
      },
      "errors": {
        "ETIMEDOUT": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6000,
      "pendingRequests": 16730,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:47:39.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "GetSpec": 162,
        "CalculatePrice minute": 181,
        "CalculatePrice fixed": 157
      },
      "errors": {
        "ETIMEDOUT": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6000,
      "pendingRequests": 17230,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:47:49.721Z",
      "scenariosCreated": 500,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 500,
        "mean": 50.1
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice minute": 189,
        "CalculatePrice fixed": 158,
        "GetSpec": 153
      },
      "errors": {
        "ETIMEDOUT": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6000,
      "pendingRequests": 17730,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:47:59.724Z",
      "scenariosCreated": 26,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 26,
        "mean": 2.6
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {
        "CalculatePrice fixed": 9,
        "GetSpec": 9,
        "CalculatePrice minute": 8
      },
      "errors": {
        "ETIMEDOUT": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5526,
      "pendingRequests": 17756,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:48:09.724Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 5026,
      "pendingRequests": 17756,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:48:19.725Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4526,
      "pendingRequests": 17756,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:48:29.726Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 4026,
      "pendingRequests": 17756,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:48:39.727Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3526,
      "pendingRequests": 17756,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:48:49.731Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3026,
      "pendingRequests": 17756,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:48:59.732Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2526,
      "pendingRequests": 17756,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:49:09.733Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 500
      },
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 2026,
      "pendingRequests": 17756,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:49:19.766Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 36,
      "latency": {
        "min": 118207.8,
        "max": 120386.7,
        "median": 119504.4,
        "p95": 120265.7,
        "p99": 120386.7
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 463
      },
      "codes": {
        "200": 36
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1563,
      "pendingRequests": 17720,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:49:29.780Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 920,
      "requestsCompleted": 898,
      "latency": {
        "min": 298.2,
        "max": 121639.7,
        "median": 111642.6,
        "p95": 119673.3,
        "p99": 120970.3
      },
      "rps": {
        "count": 9,
        "mean": 1.38
      },
      "scenarioDuration": {
        "min": 102890.4,
        "max": 123654,
        "median": 114131.1,
        "p95": 121970.3,
        "p99": 122991.7
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 889,
        "302": 9
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 643,
      "pendingRequests": 16831,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:49:39.772Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 10,
      "requestsCompleted": 22,
      "latency": {
        "min": 273.4,
        "max": 139658,
        "median": 122863.2,
        "p95": 136834.9,
        "p99": 139658
      },
      "rps": {
        "count": 16,
        "mean": 1.71
      },
      "scenarioDuration": {
        "min": 111406.1,
        "max": 135930.6,
        "median": 124776.5,
        "p95": 135930.6,
        "p99": 135930.6
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 89
      },
      "codes": {
        "200": 6,
        "302": 16
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 544,
      "pendingRequests": 16825,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:49:49.774Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 8,
      "requestsCompleted": 16,
      "latency": {
        "min": 275.1,
        "max": 141914.1,
        "median": 69377.3,
        "p95": 141783.6,
        "p99": 141914.1
      },
      "rps": {
        "count": 8,
        "mean": 0.96
      },
      "scenarioDuration": {
        "min": 130410.9,
        "max": 150408.7,
        "median": 142617.6,
        "p95": 150408.7,
        "p99": 150408.7
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 500
      },
      "codes": {
        "200": 8,
        "302": 8
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 36,
      "pendingRequests": 16817,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:49:59.777Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 3,
      "requestsCompleted": 2,
      "latency": {
        "min": 13340.9,
        "max": 22860.5,
        "median": 18100.7,
        "p95": 22860.5,
        "p99": 22860.5
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": 140799.3,
        "max": 144399.8,
        "median": 141986.1,
        "p95": 144399.8,
        "p99": 144399.8
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 24
      },
      "codes": {
        "200": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 9,
      "pendingRequests": 16815,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:50:09.780Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 1,
      "requestsCompleted": 1,
      "latency": {
        "min": 22648.3,
        "max": 22648.3,
        "median": 22648.3,
        "p95": 22648.3,
        "p99": 22648.3
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": 164518.6,
        "max": 164518.6,
        "median": 164518.6,
        "p95": 164518.6,
        "p99": 164518.6
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 1
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 8,
      "pendingRequests": 16814,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:50:19.781Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 8,
      "pendingRequests": 16814,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:50:29.782Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 2,
      "requestsCompleted": 6,
      "latency": {
        "min": 188.9,
        "max": 41274.8,
        "median": 957.7,
        "p95": 41274.8,
        "p99": 41274.8
      },
      "rps": {
        "count": 4,
        "mean": 1.19
      },
      "scenarioDuration": {
        "min": 180258.3,
        "max": 184853.6,
        "median": 182556,
        "p95": 184853.6,
        "p99": 184853.6
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {
        "200": 2,
        "302": 4
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6,
      "pendingRequests": 16812,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:50:39.786Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6,
      "pendingRequests": 16812,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:50:49.789Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 6,
      "pendingRequests": 16812,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:50:59.793Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 1,
      "requestsCompleted": 5,
      "latency": {
        "min": 190.5,
        "max": 76961.7,
        "median": 1199.5,
        "p95": 76961.7,
        "p99": 76961.7
      },
      "rps": {
        "count": 4,
        "mean": 0.6
      },
      "scenarioDuration": {
        "min": 198717.9,
        "max": 198717.9,
        "median": 198717.9,
        "p95": 198717.9,
        "p99": 198717.9
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 2
      },
      "codes": {
        "200": 1,
        "302": 4
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 3,
      "pendingRequests": 16811,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:51:09.799Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 1,
      "requestsCompleted": 4,
      "latency": {
        "min": 195.1,
        "max": 76189.4,
        "median": 5160.2,
        "p95": 76189.4,
        "p99": 76189.4
      },
      "rps": {
        "count": 2,
        "mean": 0.25
      },
      "scenarioDuration": {
        "min": 208893.2,
        "max": 208893.2,
        "median": 208893.2,
        "p95": 208893.2,
        "p99": 208893.2
      },
      "scenarioCounts": {},
      "errors": {
        "ETIMEDOUT": 1
      },
      "codes": {
        "200": 2,
        "302": 2
      },
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 16809,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:51:19.803Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 0,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 1,
      "pendingRequests": 16809,
      "scenariosAvoided": 0
    },
    {
      "timestamp": "2021-02-21T11:51:23.634Z",
      "scenariosCreated": 0,
      "scenariosCompleted": 1,
      "requestsCompleted": 0,
      "latency": {
        "min": null,
        "max": null,
        "median": null,
        "p95": null,
        "p99": null
      },
      "rps": {
        "count": 0,
        "mean": null
      },
      "scenarioDuration": {
        "min": 238614.6,
        "max": 238614.6,
        "median": 238614.6,
        "p95": 238614.6,
        "p99": 238614.6
      },
      "scenarioCounts": {},
      "errors": {},
      "codes": {},
      "matches": 0,
      "customStats": {},
      "counters": {},
      "concurrency": 0,
      "pendingRequests": 16809,
      "scenariosAvoided": 0
    }
  ]
};
  </script>

  <style>
      h1 {
        line-height: 200%;
      }

      body {
          background-color: #fcfcfc;
      }

      .container {
          width: 100%;
          min-width: 960px;
      }
  </style>


</head>
<body>

<div class="container">

<div class="row" id="header">
  <div class="col-lg-4 col-lg-offset-4">
    <pre style="font-size: 5pt; background-color: #fcfcfc; border: none;">
            _   _ _ _                                                _
  __ _ _ __| |_(_) | | ___ _ __ _   _      _ __ ___ _ __   ___  _ __| |_
 / _` | '__| __| | | |/ _ \ '__| | | |    | '__/ _ \ '_ \ / _ \| '__| __|
| (_| | |  | |_| | | |  __/ |  | |_| |    | | |  __/ |_) | (_) | |  | |_
 \__,_|_|   \__|_|_|_|\___|_|   \__, |    |_|  \___| .__/ \___/|_|   \__|
                                |___/              |_|

    </pre>
  </div>
</div>

<div class="row">
  <div class="col-lg-12">
    <h1 class="text-center" id="page-title">Test run on <span id="timestamp">date</span></h1>
  </div>
</div>

<div class="row">
  <div class="col-lg-3">
    <p><strong>Summary</strong></p>
    <table class="table table-bordered table-hover table-condensed">
      <tbody>
        <tr>
          <td>Test duration</td>
          <td><span id="testDuration">0</span> sec</td>
        </tr>
        <tr>
          <td>Scenarios created</td>
          <td><span id="scenariosCreated">0</span></td>
        </tr>

        <tr>
          <td>Scenarios completed</td>
          <td><span id="scenariosCompleted">0</span></td>
        </tr>
      </tbody>
    </table>
  </div>

  <div class="col-lg-5" id="scenarioCountsContainer">
    <div>
      <strong>Scenario counts:</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="scenarioCounts">
      </table>
    </div>
  </div>

  <div class="col-lg-1">
    <div id="codesContainer">
      <strong>Codes</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="codes">
      </table>
    </div>
  </div>

  <div class="col-lg-3">
    <div id="errorsContainer">
      <strong>Errors</strong>

      <p></p>

      <table class="table table-bordered table-hover table-condensed" id="errors">
      </table>
    </div>
  </div>
</div> <!-- /.row -->

<div class="row">
  <div class="text-center col-lg-12">
    <h2>Charts</h2>
  </div>
</div>

<div class="row">
  <div class="latency-histogram text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="latency text-center col-lg-12"></div>
</div>

<div class="latency-legend"></div>

<div class="row">

</div>

<div class="row">
  <div class="concurrency text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="rps-mean text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="rps-count text-center col-lg-12"></div>
</div>

<div class="row">
  <div class="codes-line text-center col-lg-12"></div>
</div>
<div class="row">
  <div class="errors-line text-center col-lg-12"></div>
</div>


  


</div>

<div class="row">
  <div class="col-lg-8 col-lg-offset-2">
    <h3 class="text-center">Raw report data</h3>
    <p>This is the raw JSON stats output that the report was generated from.</p>
    <div id="editor">
    </div>
  </div>
</div>

<script>
var editor = ace.edit("editor");
editor.getSession().setMode("ace/mode/javascript");
editor.setValue(JSON.stringify(Report, null, 2));
editor.gotoLine(1);editor.setHighlightActiveLine(false);

var l = _;

$('#timestamp').html(moment(Report.aggregate.timestamp).format('DD MMM YYYY HH:mm:SS'));
$('#testDuration').html(l.size(Report.intermediate) * 10);
$('#scenariosCompleted').html(Report.aggregate.scenariosCompleted);
$('#scenariosCreated').html(Report.aggregate.scenariosCreated);

var markers = [];
if(l.size(Report.phases) > 0) {
  markers = l.foldl(Report.phases, function(acc, phase, index) {
    var label = phase.name || 'Phase ' + (index + 1);
    var timestamp = (index === 0) ? 0 : Report.phases[index - 1].duration + acc[index - 1].timestamp;

    acc.push({
      timestamp: timestamp,
      label: label
    });

    return acc;
  }, []);
}

if (l.size(Report.aggregate.scenarioCounts) > 0) {
  l.each(Report.aggregate.scenarioCounts, function(count, name) {
    var $tdName = $('<td>' + name + '</td>');
    var percentage = Math.round(count / Report.aggregate.scenariosCreated * 100 * 1000) / 1000;
    var $tdCount = $('<td>' + count + ' (' + percentage + '%)' + '</td>');
    var $el = $('<tr></tr>')
      .append($tdName)
      .append($tdCount)
      .appendTo($('#scenarioCounts'));
  });
} else {
  $('#scenarioCountsContainer').hide();
}

if (l.size(Report.aggregate.codes) > 0) {
  l.each(Report.aggregate.codes, function(count, code) {
    var anchor = '';
    if (code >= 100 && code < 200) {
      anchor = '#1xx_Informational';
    } else if (code >= 200 && code < 300) {
      anchor = '#2xx_Success';
    } else if (code >= 300 && code < 400) {
      anchor = '#3xx_Redirection';
    } else if (code >= 400 && code < 500) {
      anchor = '#4xx_Client_Error';
    } else if (code >= 500 && code < 600) {
      anchor = '#5xx_Server_Error';
    }

    var $a = $('<a>' + code + '</a>').attr('href', 'https://en.wikipedia.org/wiki/List_of_HTTP_status_codes' + anchor);
    var $td = $('<td></td>').append($a);
    var $el = $('<tr></tr>')
      .append($td)
      .append($('<td>' + count + '</td>'))
      .appendTo($('#codes'));
  });
} else {
  $('#codesContainer').hide();
}

if (l.size(Report.aggregate.errors) > 0) {
  l.each(Report.aggregate.errors, function(count, code) {
    var $el = $('<tr></tr>')
      .append($('<td>' + code + '</td>'))
      .append($('<td>' + count + '</td>'))
      .appendTo($('#errors'));
  });
} else {
  $('#errorsContainer > p').html('&#10004; Test completed without network or OS errors.');
}

var histogramData = l.map(Report.aggregate.latency, function(v, k) { return {bin: k, value: v} });

MG.data_graphic({
  chart_type: 'bar',
  x_label: 'Percentile',
  y_label: '(ms)',
  animate_on_load: true,
  title: 'Overall Latency Distribution',
  description: 'Distribution of all observed response latencies',
  target: '.latency-histogram',
  data: histogramData,
  x_accessor: 'bin',
  y_accessor: 'value',
  binned: true,
  height: 250,
  interpolate: 'monotone',
  padding_percentage: 0,
  bar_orientation: 'vertical',
  width: 450
});

var chartData = l.map(
  window.Report.intermediate,
  function(o,i) {
    return {
      timestamp: i*10+10,

      rpsMean: o.rps.mean,
      rpsCount: o.rps.count,
      concurrency: o.concurrency,
      latencyMax: o.latency.max,
      latencyp99: o.latency.p99,
      latencyp95: o.latency.p95,
      latencyMedian: o.latency.median,
      latencyMin: o.latency.min
    }
  });

//
// Response codes
//

if (l.size(Report.aggregate.codes) > 0) {
  var codesData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.codes, function(count, code) {
      res[code] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueCodes = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.codes, function(count, code) {
      if (l.indexOf(acc, code) === -1) {
        acc.push(code);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    x_label: 'Time',
    y_label: 'Count',
    title: 'HTTP codes',
    description: 'Occurence of HTTP response codes',
    target: '.codes-line',
    data: codesData,
    x_accessor: 'timestamp',
    y_accessor: uniqueCodes,
    legend: uniqueCodes,
    right: 50,
    chart_type: 'line',
    area: false,
    markers: markers,
    width: 900
  });
}

//
// Errors
//

if (l.size(Report.aggregate.errors) > 0) {
  var errorData = l.foldl(Report.intermediate, function(acc, o, i) {
    var res = {};
    res.timestamp = i*10+10;
    l.each(o.errors, function(count, name) {
      res[name] = count;
    });
    acc.push(res);
    return acc;
  }, []);
  var uniqueErrors = l.foldl(Report.intermediate, function(acc, o) {
    l.each(o.errors, function(count, name) {
      if (l.indexOf(acc, name) === -1) {
        acc.push(name);
      }
    });
    return acc;
  }, []);

  MG.data_graphic({
    title: 'Error Codes',
    description: 'Occurence of error codes',
    target: '.errors-line',
    data: errorData,
    x_accessor: 'timestamp',
    y_accessor: uniqueErrors,
    chart_type: 'line',
    area: false,
    markers: markers
  });

}

//
// Latency
//
MG.data_graphic({
  chart_type: 'line',
  x_label: 'Time',
  y_label: '(ms)',
  animate_on_load: true,
  area: false,
  title: "Latency At Intervals",
  description: "Latency values at different points during the test run",
  data: chartData,
  target: '.latency',
  width: 900,
  x_accessor: 'timestamp',
  y_accessor: ['latencyMin', 'latencyMedian', 'latencyp95', 'latencyMax'],
  legend: ['min', 'p50', 'p95', 'max'],
  //legend_target: '.latency-legend',
  right: 50,
  interpolate: 'monotone',
  mouseover: function(d, i) {
  },
  markers: markers
        });

            MG.data_graphic({
            animate_on_load: true,
            area: false,
            y_label: 'Count',
            x_label: 'Time',
            title: 'Concurrent users',
            description: 'Concurrent users',
            data: chartData,
            target: '.concurrency',
            x_accessor: 'timestamp',
            y_accessor: ['concurrency'],
            interpolate: 'monotone',
            markers: markers,
            width: 900
            });

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'Mean RPS',
  description: 'Mean requests per second',
  data: chartData,
  target: '.rps-mean',
  x_accessor: 'timestamp',
  y_accessor: ['rpsMean'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});

MG.data_graphic({
  animate_on_load: true,
  area: false,
  y_label: 'Count',
  x_label: 'Time',
  title: 'RPS Count',
  description: 'Count of requests per second',
  data: chartData,
  target: '.rps-count',
  x_accessor: 'timestamp',
  y_accessor: ['rpsCount'],
  interpolate: 'monotone',
  markers: markers,
  width: 900
});
</script>
<div id="footer">
  <footer>This report was created with <a href="https://artillery.io">Artillery</a> - free open-source load-testing for HTTP and WebSockets</footer>
</div>
</body>
</html>
